org.apache.sysds.runtime.compress.readers

## Class ReaderColumnSelectionSparseTransposed

- java.lang.Object
- - org.apache.sysds.runtime.compress.readers.ReaderColumnSelection
  - - org.apache.sysds.runtime.compress.readers.ReaderColumnSelectionSparseTransposed

    public class ReaderColumnSelectionSparseTransposed
    extends ReaderColumnSelection

Used to extract the values at certain indexes from each row in a sparse matrix Keeps returning all-zeros arrays until reaching the last possible index. The current compression algorithm treats the zero-value in a sparse matrix like any other value.

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.compress.readers.ReaderColumnSelection

`createReader, createReader, getCurrentRowIndex, nextRow`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`